On Fri, 2008-11-28 at 12:41 +0000, Daniel Bye wrote:
> On Fri, Nov 28, 2008 at 11:30:20AM +0200, Robby Balona wrote:
> > Has anybody managed to get Ruby on Rails 2 working on Freebsd 7 . I have
> > tried for 3 day now . Done portupgrades and portsnaps but still cant
> > seem to get it to work
> 
> Yes, I'm using it very successfully. The version of Rails in ports 
> seems to have stuck at 1.2.6.
> 
> > 
> > 
> > I get the following error when I run rails
> > 
> > ../lib/rails_generator/options.rb:32:in default_options: undefined
> > method write_inheritable_attribute
> > 
> > I googled this error and found very little to help except that it looks
> > like its something to do with activesupport-1.4.2 not being install
> > correctly...
> 
> rails 2.* ships with activsupport 2.*.
> 
> Your best bet will be to upgrade your installed gems:
> 
> $ sudo gem upgrade --system
> 
> (If that doesn't work, try `update_rubygems' instead)
> 
> Gems should now report its version as 1.3.1:
> 
> $ gem -v
> 1.3.1
> 
> Now you can simply use gems to install Rails and its dependencies:
> 
> $ sudo gem install rails --include-dependencies
> 
> If you really want version 2.0 or 2.1 instead of the recently released
> 2.2, include a --version=2.1 to the command. However, given the
> enhancements, I'd go with the latest.
> 
> HTH,
> 
> Dan
> 

Great thanks will try all your advice!


Regards

Robby





_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to